質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

90.35%

  • PHP

    25526questions

    PHPは、Webサイト構築に特化して開発されたプログラミング言語です。大きな特徴のひとつは、HTMLに直接プログラムを埋め込むことができるという点です。PHPを用いることで、HTMLを動的コンテンツとして出力できます。HTMLがそのままブラウザに表示されるのに対し、PHPプログラムはサーバ側で実行された結果がブラウザに表示されるため、PHPスクリプトは「サーバサイドスクリプト」と呼ばれています。

  • CentOS

    3317questions

    CentOSは、主にRed Hat Enterprise Linux(RHEL)をベースにした、フリーのソフトウェアオペレーティングシステムです。

  • Vagrant

    1451questions

    Vagrantは、VirtualBox上の仮想マシンを コマンドラインから作成してくれるソフトウェアです。 ビルド環境など容易に構築が可能です。

  • nginx

    1104questions

    nginixは軽量で高性能なwebサーバーの1つです。BSD-likeライセンスのもとリリースされており、あわせてHTTPサーバ、リバースプロキシ、メールプロキシの機能も備えています。MacOSX、Windows、Linux、上で動作します。

vagrant+CentOS+php7.1+nginx+mysqlの開発環境を作る際にremiでエラーが発生します

解決済

回答 3

投稿 編集

  • 評価
  • クリップ 0
  • VIEW 233

ykzk

score 16

centOSにphp7.1+nginx+mysqlの開発環境をいれたいので下記を参考に進めていいます。
こちら
(https://qiita.com/pipiox/items/fdfe1a223b77ef26db22)

上記サイトの

yum -y install http://rpms.famillecollet.com/enterprise/remi-release-7.rpm


これを実行すると

Loaded plugins: fastestmirror, versionlock
Setting up Install Process
remi-release-7.rpm                                                                                                          |  15 kB     00:00     
Examining /var/tmp/yum-root-xqSUgO/remi-release-7.rpm: remi-release-7.6-1.el7.remi.noarch
Marking /var/tmp/yum-root-xqSUgO/remi-release-7.rpm to be installed
Loading mirror speeds from cached hostfile
 * base: mirrors.cat.net
 * epel: mirror2.totbb.net
 * extras: mirrors.cat.net
 * updates: mirror.0x.sg
Resolving Dependencies
--> Running transaction check
---> Package remi-release.noarch 0:7.6-1.el7.remi will be installed
--> Processing Dependency: epel-release = 7 for package: remi-release-7.6-1.el7.remi.noarch
--> Finished Dependency Resolution
Error: Package: remi-release-7.6-1.el7.remi.noarch (/remi-release-7)
           Requires: epel-release = 7
           Installed: epel-release-6-8.noarch (@/epel-release-6-8.noarch/6.5)
               epel-release = 6-8
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest


このようなエラーが出て進みません。
どなたか解決方法をご教授いただければと思います。
よろしくお願いいたします。

  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

質問への追記・修正、ベストアンサー選択の依頼

  • Orlofsky

    2019/02/26 02:21

    URLは [対応しているMarkdownの機能](https://teratail.com/help#about-markdown) の[リンク]に修正してください。

    キャンセル

  • scsi

    2019/02/26 07:23

    Centos6でやってませんか?

    キャンセル

回答 3

checkベストアンサー

+1

Error: Package: remi-release-7.6-1.el7.remi.noarch (/remi-release-7)
           Requires: epel-release = 7
           Installed: epel-release-6-8.noarch (@/epel-release-6-8.noarch/6.5)
               epel-release = 6-8

remi-release-7.6-1.el7.remi.noarch を入れようとしたら、

Requires: epel-release = 7 → epel-release = 7が必要です。

ただし
epel-release-6-8.noarch (@/epel-release-6-8.noarch/6.5)
がインストールされてます。

だそうです。

remi を入れる前に epel を入れる必要があるわけですが、
あと、epel-release-6-8 がインストールされていると出ているので、CentOSのバージョンは6.X のはず。

インストールしなきゃいけないのは remi-release-7.rpm じゃなくて remi-release-6.rpm を入れなきゃいけない。

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

0

皆様ご指摘ありがとうございました。
おっしゃる通りvagrantfileにてCentOSインストールを6.Xで実施しておりました。。。
7をインストールするよう修正したところインストールできました。
ベストアンサーは最初に回答いただいた方を選択させていただきました。

URLのマークダウンの件もご指摘ありがとうございました。

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

0

ご指摘ありがとうございました。
CentOS6.xで実施していました。。7をインストールすることで進めることができました。
ありがとうございました。
ベストアンサーは最初に回答いただいた方を選ばせていただきました。

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

15分調べてもわからないことは、teratailで質問しよう!

  • ただいまの回答率 90.35%
  • 質問をまとめることで、思考を整理して素早く解決
  • テンプレート機能で、簡単に質問をまとめられる

同じタグがついた質問を見る

  • PHP

    25526questions

    PHPは、Webサイト構築に特化して開発されたプログラミング言語です。大きな特徴のひとつは、HTMLに直接プログラムを埋め込むことができるという点です。PHPを用いることで、HTMLを動的コンテンツとして出力できます。HTMLがそのままブラウザに表示されるのに対し、PHPプログラムはサーバ側で実行された結果がブラウザに表示されるため、PHPスクリプトは「サーバサイドスクリプト」と呼ばれています。

  • CentOS

    3317questions

    CentOSは、主にRed Hat Enterprise Linux(RHEL)をベースにした、フリーのソフトウェアオペレーティングシステムです。

  • Vagrant

    1451questions

    Vagrantは、VirtualBox上の仮想マシンを コマンドラインから作成してくれるソフトウェアです。 ビルド環境など容易に構築が可能です。

  • nginx

    1104questions

    nginixは軽量で高性能なwebサーバーの1つです。BSD-likeライセンスのもとリリースされており、あわせてHTTPサーバ、リバースプロキシ、メールプロキシの機能も備えています。MacOSX、Windows、Linux、上で動作します。